﻿@model QuadrusMotorCompany.Web.Models.Inventory.VehicleAddModel
@{
    ViewBag.Title = "QMC - Add Vehicle";
}

<h2>
    Update Inventory
</h2>
<hr />

@using (Html.BeginForm("Add", "Inventory", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                @Html.LabelFor(x => x.Make)
                @Html.TextBoxFor(x => x.Make, new { @class = "form-control" })
                @Html.ValidationMessageFor(x => x.Make)
            </div>

            <div class="form-group">
                @Html.LabelFor(x => x.VehicleModel)
                @Html.TextBoxFor(x => x.VehicleModel, new { @class = "form-control" })
                @Html.ValidationMessageFor(x => x.VehicleModel)
            </div>

            <div class="form-group">
                @Html.LabelFor(x => x.Price)
                @Html.TextBoxFor(x => x.Price, new { @class = "form-control" })
                @Html.ValidationMessageFor(x => x.Price)
            </div>

            <div class="form-group">
                @Html.LabelFor(x => x.Description)
                @Html.TextAreaFor(x => x.Description, new { rows = 5, @class = "form-control" })
            </div>
            
            <div class="form-group">
                @Html.LabelFor(x => x.ImagePath)
                @Html.TextBoxFor(x => x.ImagePath, new
                {
                    @class = "form-control fixed",
                    type = "file",
                    accept = ".png"
                })
                @Html.ValidationMessageFor(x => x.ImagePath)
            </div>

            <div class="form-group">
                <button class="btn btn-primary">Update</button>
                <a href="@Url.Action("Manage")" class="btn btn-default">Cancel</a>
            </div>
        </div>
    </div>
}